import * as React from 'react';
import { RouteProps as IRouteProps } from 'react-router-dom';
interface IProps extends IRouteProps {
    localize?: boolean;
    children?: any;
}
/**
 * A custom intercepted Route component
 * Docs: https://github.com/ReactTraining/react-router/blob/59a4fbc184f3a3cf4c25ee39a7e97f72efed7849/packages/react-router/modules/Route.js#L112-L116
 * @param props
 */
declare const LocalizedRoute: React.FunctionComponent<IProps | any>;
export { LocalizedRoute, IProps as ILocalizedRouteProps };
