var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { localizedHistory } from './localizedHistory';
import { getLocalizedRoute } from './localizer';
import { useTranslate } from './useTranslate';
var useHistory = function () {
    var language = useTranslate().language;
    var push = function (location) {
        var localizedUrl = getLocalizedRoute(language, location);
        localizedHistory.push(localizedUrl);
    };
    var history = __assign(__assign({}, localizedHistory), { push: push });
    return history;
};
export { useHistory };
