import * as React from 'react';
import { LocaleContext } from './LocaleContext';
var useContext = React.useContext;
var useTranslate = function () {
    var _a = useContext(LocaleContext), language = _a.language, changeLanguage = _a.changeLanguage, performTranslation = _a.performTranslation, performTranslationAndParse = _a.performTranslationAndParse;
    return {
        language: language,
        changeLanguage: changeLanguage,
        translate: performTranslation,
        translateAndParse: performTranslationAndParse,
    };
};
export { useTranslate };
