import * as React from 'react';
import { LocaleContext } from './LocaleContext';
var Translator = function (props) {
    var render = props.render, id = props.id, vars = props.vars, _a = props.parseHtml, parseHtml = _a === void 0 ? false : _a;
    if (render) {
        return (React.createElement(LocaleContext.Consumer, null, function (_a) {
            var language = _a.language, performTranslation = _a.performTranslation, performTranslationAndParse = _a.performTranslationAndParse;
            if (id) {
                if (parseHtml) {
                    return React.createElement(React.Fragment, null,
                        " ",
                        performTranslationAndParse(id, vars));
                }
                return React.createElement(React.Fragment, null, performTranslation(id, vars));
            }
            return render(language);
        }));
    }
    if (id) {
        return (React.createElement(LocaleContext.Consumer, null, function (_a) {
            var performTranslation = _a.performTranslation, performTranslationAndParse = _a.performTranslationAndParse;
            if (parseHtml) {
                return React.createElement(React.Fragment, null,
                    " ",
                    performTranslationAndParse(id, vars));
            }
            return React.createElement(React.Fragment, null, performTranslation(id, vars));
        }));
    }
    console.error('Missing both translationKey or renderProp');
    return null;
};
export { Translator };
